zenilib: zenilib/jni/external/freetype2/src/type42/t42parse.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Enumerations | Functions | Variables
t42parse.c File Reference
`#include "t42parse.h"`
`#include "t42error.h"`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_t42
#define | FT_STRUCTURE T1_FontInfo
#define | FT_STRUCTURE PS_FontExtraRec
#define | FT_STRUCTURE T1_FontRec
#define | FT_STRUCTURE FT_BBox
#define | T1_Add_Table(p, i, o, l) (p)->funcs.add( (p), i, o, l )
#define | T1_Done_Table(p)
#define | T1_Load_Field(p, f, o, m, pf) (p)->root.funcs.load_field( &(p)->root, f, o, m, pf )
#define | T1_Load_Field_Table(p, f, o, m, pf) (p)->root.funcs.load_field_table( &(p)->root, f, o, m, pf )
#define | T1_Release_Table(p)
#define | T1_Skip_PS_Token(p) (p)->root.funcs.skip_PS_token( &(p)->root )
#define | T1_Skip_Spaces(p) (p)->root.funcs.skip_spaces( &(p)->root )
#define | T1_ToBytes(p, b, m, n, d) (p)->root.funcs.to_bytes( &(p)->root, b, m, n, d )
#define | T1_ToFixedArray(p, m, f, t) (p)->root.funcs.to_fixed_array( &(p)->root, m, f, t )
#define | T1_ToInt(p) (p)->root.funcs.to_int( &(p)->root )
#define | T1_ToToken(p, t) (p)->root.funcs.to_token( &(p)->root, t )
#define | T1CODE T1_FIELD_LOCATION_FONT_INFO
#define | T1CODE T1_FIELD_LOCATION_FONT_EXTRA
#define | T1CODE T1_FIELD_LOCATION_FONT_DICT
#define | T1CODE T1_FIELD_LOCATION_BBOX

## Typedefs

typedef enum T42_Load_Status_ | T42_Load_Status

## Enumerations

enum | T42_Load_Status_ { BEFORE_START, BEFORE_TABLE_DIR, OTHER_TABLES }

## Functions

static int | t42_is_space (FT_Byte c)
static FT_Error | t42_load_keyword (T42_Face face, T42_Loader loader, T1_Field field)
| t42_loader_done (T42_Loader loader)
| t42_loader_init (T42_Loader loader, T42_Face face)
static void | t42_parse_charstrings (T42_Face face, T42_Loader loader)
| t42_parse_dict (T42_Face face, T42_Loader loader, FT_Byte *base, FT_Long size)
static void | t42_parse_encoding (T42_Face face, T42_Loader loader)
static void | t42_parse_font_matrix (T42_Face face, T42_Loader loader)
static void | t42_parse_sfnts (T42_Face face, T42_Loader loader)
| t42_parser_done (T42_Parser parser)
| t42_parser_init (T42_Parser parser, FT_Stream stream, FT_Memory memory, PSAux_Service psaux)

## Variables

static const T1_FieldRec | t42_keywords []

## Macro Definition Documentation

#define FT_COMPONENT trace_t42

Definition at line 33 of file t42parse.c.

#define FT_STRUCTURE T1_FontInfo

#define FT_STRUCTURE PS_FontExtraRec

#define FT_STRUCTURE T1_FontRec

#define FT_STRUCTURE FT_BBox

#define T1_Add_Table | ( |  | p,
|  |  | i,
|  |  | o,
|  |  | l
| ) |  | (p)->funcs.add( (p), i, o, l )

Definition at line 106 of file t42parse.c.

Referenced by t42_parse_charstrings(), and t42_parse_encoding().

#define T1_Done_Table | ( |  | p | ) |

Value:
do \
{ \
if ( (p)->funcs.done ) \
(p)->funcs.done( p ); \
} while ( 0 )
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
p
GLfloat GLfloat p
Definition: glew.h:14938

Definition at line 107 of file t42parse.c.

#define T1_Load_Field | ( |  | p,
|  |  | f,
|  |  | o,
|  |  | m,
|  |  | pf
| ) |  | (p)->root.funcs.load_field( &(p)->root, f, o, m, pf )

Definition at line 133 of file t42parse.c.

Referenced by t42_load_keyword().

#define T1_Load_Field_Table | ( |  | p,
|  |  | f,
|  |  | o,
|  |  | m,
|  |  | pf
| ) |  | (p)->root.funcs.load_field_table( &(p)->root, f, o, m, pf )

Definition at line 135 of file t42parse.c.

Referenced by t42_load_keyword().

#define T1_Release_Table | ( |  | p | ) |

Value:
do \
{ \
if ( (p)->funcs.release ) \
(p)->funcs.release( p ); \
} while ( 0 )
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
p
GLfloat GLfloat p
Definition: glew.h:14938

Definition at line 113 of file t42parse.c.

Referenced by t42_loader_done().

#define T1_Skip_PS_Token | ( |  | p | ) | (p)->root.funcs.skip_PS_token( &(p)->root )

Definition at line 121 of file t42parse.c.

Referenced by t42_parse_charstrings(), t42_parse_dict(), t42_parse_encoding(), and t42_parse_sfnts().

#define T1_Skip_Spaces | ( |  | p | ) | (p)->root.funcs.skip_spaces( &(p)->root )

Definition at line 120 of file t42parse.c.

Referenced by t42_parse_charstrings(), t42_parse_dict(), t42_parse_encoding(), and t42_parse_sfnts().

#define T1_ToBytes | ( |  | p,
|  |  | b,
|  |  | m,
|  |  | n,
|  |  | d
| ) |  | (p)->root.funcs.to_bytes( &(p)->root, b, m, n, d )

Definition at line 125 of file t42parse.c.

Referenced by t42_parse_sfnts().

#define T1_ToFixedArray | ( |  | p,
|  |  | m,
|  |  | f,
|  |  | t
| ) |  | (p)->root.funcs.to_fixed_array( &(p)->root, m, f, t )

Definition at line 128 of file t42parse.c.

Referenced by t42_parse_font_matrix().

#define T1_ToInt | ( |  | p | ) | (p)->root.funcs.to_int( &(p)->root )

Definition at line 123 of file t42parse.c.

Referenced by t42_parse_charstrings(), t42_parse_encoding(), and t42_parse_sfnts().

#define T1_ToToken | ( |  | p,
|  |  | t
| ) |  | (p)->root.funcs.to_token( &(p)->root, t )

Definition at line 130 of file t42parse.c.

Referenced by t42_parse_dict().

#define T1CODE T1_FIELD_LOCATION_FONT_INFO

#define T1CODE T1_FIELD_LOCATION_FONT_EXTRA

#define T1CODE T1_FIELD_LOCATION_FONT_DICT

#define T1CODE T1_FIELD_LOCATION_BBOX

## Typedef Documentation

typedef enum T42_Load_Status_ T42_Load_Status

## Enumeration Type Documentation

enum T42_Load_Status_

Enumerator
BEFORE_START |
BEFORE_TABLE_DIR |
OTHER_TABLES |

Definition at line 483 of file t42parse.c.

## Function Documentation

static int t42_is_space | ( | FT_Byte | c | ) |

static

Definition at line 240 of file t42parse.c.

Referenced by t42_parse_charstrings(), and t42_parse_encoding().

static FT_Error t42_load_keyword | ( | T42_Face | face,
|  | T42_Loader | loader,
|  | T1_Field | field
| ) |  |

static

Definition at line 969 of file t42parse.c.

References error, T1_FieldRec_::location, T42_Loader_::parser, T1_FieldRec_::reader, T1_FIELD_LOCATION_BBOX, T1_FIELD_LOCATION_FONT_EXTRA, T1_FIELD_LOCATION_FONT_INFO, T1_FIELD_TYPE_CALLBACK, T1_FIELD_TYPE_FIXED_ARRAY, T1_FIELD_TYPE_INTEGER_ARRAY, T1_Load_Field, T1_Load_Field_Table, and T1_FieldRec_::type.

Referenced by t42_parse_dict().

t42_loader_done | ( | T42_Loader | loader | ) |

Definition at line 1172 of file t42parse.c.

References T1_Release_Table, and t42_parser_done().

Referenced by T42_Open_Face().

t42_loader_init | ( | T42_Loader | loader,
|  | T42_Face | face
| ) |  |

Definition at line 1155 of file t42parse.c.

References FT_MEM_ZERO, and FT_UNUSED.

Referenced by T42_Open_Face().

static void t42_parse_charstrings | ( | T42_Face | face,
|  | T42_Loader | loader
| ) |  |

static

Definition at line 706 of file t42parse.c.

References T42_Loader_::charstrings, error, FT_ERROR, ft_isdigit, ft_strcmp, T42_Loader_::glyph_names, PS_Table_FuncsRec_::init, PS_TableRec_::memory, T42_Loader_::num_glyphs, T42_Loader_::parser, PSAux_ServiceRec_::ps_table_funcs, T42_Loader_::swap_table, T1_Add_Table, T1_Skip_PS_Token, T1_Skip_Spaces, T1_ToInt, and t42_is_space().

t42_parse_dict | ( | T42_Face | face,
|  | T42_Loader | loader,
|  | FT_Byte * | base,
|  | FT_Long | size
| ) |  |

Definition at line 1024 of file t42parse.c.

References ft_memcmp, ft_strlen, ft_strncmp, i, T1_FieldRec_::ident, if(), T1_Skip_PS_Token, T1_Skip_Spaces, T1_TOKEN_TYPE_ARRAY, T1_ToToken, t42_load_keyword(), and T1_TokenRec_::type.

Referenced by T42_Open_Face().

static void t42_parse_encoding | ( | T42_Face | face,
|  | T42_Loader | loader
| ) |  |

static

Definition at line 294 of file t42parse.c.

References T42_Loader_::encoding_table, error, FT_Bool, FT_ERROR, ft_isdigit, FT_NEW_ARRAY, FT_SET_ERROR, ft_strncmp, FT_TRACE6, PS_Table_FuncsRec_::init, PS_TableRec_::memory, T42_Loader_::num_chars, T42_Loader_::parser, PSAux_ServiceRec_::ps_table_funcs, T1_Add_Table, T1_ENCODING_TYPE_ARRAY, T1_ENCODING_TYPE_EXPERT, T1_ENCODING_TYPE_ISOLATIN1, T1_ENCODING_TYPE_STANDARD, T1_Skip_PS_Token, T1_Skip_Spaces, T1_ToInt, and t42_is_space().

static void t42_parse_font_matrix | ( | T42_Face | face,
|  | T42_Loader | loader
| ) |  |

static

Definition at line 249 of file t42parse.c.

References FT_ABS, FT_DivFix(), T42_Loader_::parser, T1_ToFixedArray, FT_FaceRec_::units_per_EM, FT_Vector_::x, FT_Matrix_::xx, FT_Matrix_::xy, FT_Vector_::y, FT_Matrix_::yx, and FT_Matrix_::yy.

static void t42_parse_sfnts | ( | T42_Face | face,
|  | T42_Loader | loader
| ) |  |

static

Definition at line 493 of file t42parse.c.

References BEFORE_START, BEFORE_TABLE_DIR, error, FT_Bool, FT_ERROR, FT_FREE, ft_isdigit, FT_PEEK_ULONG, FT_REALLOC, i, NULL, OTHER_TABLES, T42_Loader_::parser, T1_Skip_PS_Token, T1_Skip_Spaces, T1_ToBytes, and T1_ToInt.

t42_parser_done | ( | T42_Parser | parser | ) |

Definition at line 226 of file t42parse.c.

References FT_FREE.

Referenced by t42_loader_done().

t42_parser_init | ( | T42_Parser | parser,
|  | FT_Stream | stream,
|  | FT_Memory | memory,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 142 of file t42parse.c.

References error, FT_ALLOC, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_FREE, ft_memcmp, FT_STREAM_READ, FT_STREAM_SEEK, FT_STREAM_SKIP, FT_TRACE2, and if().

Referenced by T42_Open_Face().

## Variable Documentation

const T1_FieldRec t42_keywords[]

static

Definition at line 55 of file t42parse.c.